#!/bin/sh
format_set="i386-pc"
rm g2ldr 2> /dev/null
rm core.img 2> /dev/null
rm memdisk.cpio 2> /dev/null
rm ./boot -r 2> /dev/null
mkdir ./boot
mkdir ./boot/grub
mkdir ./boot/grub/locale
cp /usr/lib/grub/$format_set/efiemu.mod ./boot/grub
cp /usr/lib/grub/$format_set/gfxmenu.mod ./boot/grub
cp /usr/lib/grub/$format_set/bitmap.mod ./boot/grub
cp /usr/lib/grub/$format_set/jpeg.mod ./boot/grub
cp /usr/lib/grub/$format_set/tga.mod ./boot/grub
cp /usr/lib/grub/$format_set/png.mod ./boot/grub
cp /usr/lib/grub/$format_set/play.mod ./boot/grub
cp /usr/lib/grub/$format_set/ufs1.mod ./boot/grub
cp /usr/lib/grub/$format_set/ufs2.mod ./boot/grub
cp /usr/lib/grub/$format_set/minix.mod ./boot/grub
cp /usr/lib/grub/$format_set/minix2.mod ./boot/grub
cp /usr/lib/grub/$format_set/terminal.mod ./boot/grub
cp /usr/lib/grub/$format_set/terminfo.mod ./boot/grub
cp /usr/lib/grub/$format_set/usb.mod ./boot/grub
cp /usr/lib/grub/$format_set/usb_keyboard.mod ./boot/grub
cp /usr/lib/grub/$format_set/usbms.mod ./boot/grub
cp /usr/lib/grub/$format_set/ohci.mod ./boot/grub
cp /usr/lib/grub/$format_set/multiboot2.mod ./boot/grub
cp /usr/lib/grub/$format_set/nilfs2.mod ./boot/grub
cp /usr/lib/grub/$format_set/ata.mod ./boot/grub
cp /usr/lib/grub/$format_set/hashsum.mod ./boot/grub
cp /usr/lib/grub/$format_set/xnu_uuid.mod ./boot/grub
cp /usr/lib/grub/$format_set/vbe.mod ./boot/grub
cp /usr/lib/grub/$format_set/vga.mod ./boot/grub
cp /usr/lib/grub/$format_set/video_bochs.mod ./boot/grub
cp /usr/lib/grub/$format_set/video_cirrus.mod ./boot/grub
cp /usr/lib/grub/$format_set/gfxterm.mod ./boot/grub
cp /usr/lib/grub/$format_set/gettext.mod ./boot/grub
cp /usr/lib/grub/$format_set/*.lst ./boot/grub
cp /usr/lib/grub/$format_set/*.o ./boot/grub
cp /usr/lib/syslinux/memdisk ./boot/grub
cp grub.cfg ./boot/grub/
#cp /usr/share/grub/unicode.pf2 ./boot/grub/
cp /boot/grub/locale/* ./boot/grub/locale
find boot | cpio -o -H ustar > memdisk.cpio
grub-mkimage -O $format_set -o core.img --prefix='(memdisk)/boot/grub' -m memdisk.cpio acpi affs afs befs biosdisk blocklist boot bsd btrfs bufio cat chain configfile cpio drivemap echo elf ext2 fat gzio halt help hfs hfsplus iso9660 jfs linux16 linux loadenv loopback ls lvm lzopio memdisk mmap multiboot ntfscomp ntfs ntldr part_acorn part_amiga part_apple part_bsd part_gpt part_msdos part_sun part_sunpc pxe raid reboot reiserfs scsi search_fs_file search_fs_uuid search_label search sfs tar udf xfs xnu xzio zfs gptsync pxecmd
cat /boot/grub/lnxboot.img ./core.img > g2ldr
rm core.img 2> /dev/null
rm memdisk.cpio 2> /dev/null
rm ./boot -r 2> /dev/null
